Bug 1413806 - systemd suspend fails to suspend a second time
Summary: systemd suspend fails to suspend a second time
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 25
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 00:55 UTC by pingram
Modified: 2017-12-12 10:54 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1566152 (view as bug list)
Environment:
Last Closed: 2017-12-12 10:54:40 UTC
Type: Bug


Attachments (Terms of Use)
suspend-resume-suspend.log (33.23 KB, text/x-vhdl)
2017-01-17 00:55 UTC, pingram
no flags Details
dmesg (63.28 KB, text/plain)
2017-02-05 21:57 UTC, pingram
no flags Details

Description pingram 2017-01-17 00:55:45 UTC
Created attachment 1241520 [details]
suspend-resume-suspend.log

Description of problem:
After a fresh boot, I can 'systemd suspend' and successfully wake my laptop up. But after resuming, when I 'systemd suspend' a second time, my computer fails to suspend and I am unable to even reboot my system with sysrq and I must hold the power button to force a poweroff.

This behaviour is consistent if I use the desktop's in built suspend functions when I either close the lid or click the 'suspend' button.

Version-Release number of selected component (if applicable):
I have only been able to test and confirm this issue with the following versions.

systemd-231-10.fc25.x86_64
systemd-231-11.fc25.x86_64

How reproducible:
Every time after resuming from suspend


Additional info:

See attached log file

Comment 1 pingram 2017-01-17 01:00:42 UTC
This behaviour is consistent across all available kernel versions and when not logged in as any user; using the suspend button on the lightdm login manager.

$ rpm -q kernel
kernel-4.8.15-300.fc25.x86_64
kernel-4.8.16-300.fc25.x86_64
kernel-4.9.3-200.fc25.x86_64

Comment 2 pingram 2017-02-05 21:57:15 UTC
Created attachment 1247888 [details]
dmesg

I've been meaning to upload this for weeks now, but on boot there are ACPI errors echoed to the screen. The 4.9.4-201 kernel only output the last two lines, but since 4.9.5-200 the following is seen on boot. Full dmesg is attached for completeness.


ACPI: Executed 21 blocks of module-level executable AML code
ACPI Error: No handler for Region [RAM_] (ffff988e668e90d8) [EmbeddedControl] (20160831/evregion-166)
ACPI Error: Region EmbeddedControl (ID=3) has no handler (20160831/exfldio-299)
ACPI Error: Method parse/execution failed [\_SB.PCI0.LPCB.EC0._REG] (Node ffff988e668ea370), AE_NOT_EXIST (20160831/psparse-543)
ACPI Error: No handler for Region [RAM_] (ffff988e668e90d8) [EmbeddedControl] (20160831/evregion-166)
ACPI Error: Region EmbeddedControl (ID=3) has no handler (20160831/exfldio-299)
ACPI Error: Method parse/execution failed [\_SB.PCI0.LPCB.EC0._REG] (Node ffff988e668ea370), AE_NOT_EXIST (20160831/psparse-543)
platform MSFT0101:00: failed to claim resource 1
acpi MSFT0101:00: platform device creation failed: -16

Comment 3 Fedora End Of Life 2017-11-16 19:05:31 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Cregg Hardwick 2017-11-21 04:52:12 UTC
I am having the identical problem NOW, in Fedora 27.
This problem started with the last update I had in Fedora 25, which prompted me to upgrade to 26. Then, shortly after, 27 was release. All three have this problem, which never occurred before. Just as pingram described, the first suspend works. But a second suspend attempt, from any cause, will have, running the fan and running down the batter if I don't notice it.

This is extremely annoying. Is there some log information we can update to help shed light on this? Thanks.

Comment 5 Fedora End Of Life 2017-12-12 10:54:40 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.